import React from 'react';

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var SearchIcon = (({
  styles = {},
  ...props
}) => React.createElement("svg", _extends({
  width: "24",
  height: "24",
  viewBox: "0 0 24 24"
}, props), React.createElement("g", {
  id: "Symbols",
  stroke: "none",
  strokeWidth: "1",
  fill: "none",
  fillRule: "evenodd",
  strokeLinecap: "round",
  strokeLinejoin: "round"
}, React.createElement("g", {
  id: "search",
  stroke: "#333"
}, React.createElement("g", {
  id: "Group",
  transform: "translate(5 5)"
}, React.createElement("path", {
  d: "M5.5 5.5l7.649 7.649",
  id: "Line"
}), React.createElement("circle", {
  id: "Oval-2",
  fill: "#FFF",
  cx: "6",
  cy: "6",
  r: "6"
}))))));

export { SearchIcon as S };
